GSTR-1A EXP
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month} \
--header 'authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}"
headers = {
"authorization": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}")
.header("authorization", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"exp": [
{
"exp_typ": "WPAY",
"inv": [
{
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"inum": "81542",
"idt": "12-02-2016",
"val": 995048.36,
"sbpcode": "ASB991",
"sbnum": "7896542",
"sbdt": "04-10-2016",
"diff_percent": 0.65,
"srctyp": "EInvoice",
"irn": "897ADG56RTY78956HYUG90BNHHIJK453GFTD99845672FDHHHSHGFH4567FG56TR",
"irngendate": "24-12-2019",
"itms": [
{
"txval": 10000,
"rt": 5,
"iamt": 833.33,
"csamt": 100
}
]
}
]
},
{
"exp_typ": "WOPAY",
"inv": [
{
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"inum": "81542",
"idt": "12-02-2016",
"val": 995048.36,
"sbpcode": "ASB881",
"sbnum": "7896542",
"sbdt": "04-10-2016",
"diff_percent": 0.65,
"srctyp": "EInvoice",
"irn": "897ADG56RTY78956HYUG90BNHHIJK453GFTD99845672FDHHHSHGFH4567FG56TR",
"irngendate": "24-12-2019",
"itms": [
{
"txval": 10000,
"rt": 5,
"iamt": 325,
"csamt": 100
}
]
}
]
}
]
}
}
}GSTR-1A EXP
API call for getting invoices related to supplies exported for a return period.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
exp
/
{year}
/
{month}
GSTR-1A EXP
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month} \
--header 'authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}"
headers = {
"authorization": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}")
.header("authorization", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"exp": [
{
"exp_typ": "WPAY",
"inv": [
{
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"inum": "81542",
"idt": "12-02-2016",
"val": 995048.36,
"sbpcode": "ASB991",
"sbnum": "7896542",
"sbdt": "04-10-2016",
"diff_percent": 0.65,
"srctyp": "EInvoice",
"irn": "897ADG56RTY78956HYUG90BNHHIJK453GFTD99845672FDHHHSHGFH4567FG56TR",
"irngendate": "24-12-2019",
"itms": [
{
"txval": 10000,
"rt": 5,
"iamt": 833.33,
"csamt": 100
}
]
}
]
},
{
"exp_typ": "WOPAY",
"inv": [
{
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"inum": "81542",
"idt": "12-02-2016",
"val": 995048.36,
"sbpcode": "ASB881",
"sbnum": "7896542",
"sbdt": "04-10-2016",
"diff_percent": 0.65,
"srctyp": "EInvoice",
"irn": "897ADG56RTY78956HYUG90BNHHIJK453GFTD99845672FDHHHSHGFH4567FG56TR",
"irngendate": "24-12-2019",
"itms": [
{
"txval": 10000,
"rt": 5,
"iamt": 325,
"csamt": 100
}
]
}
]
}
]
}
}
}Response body schema
View response body schema
Response schema
For successful responses, this reference describes the GSTN payload atdata.data.
View Excel field reference
Authorizations
GST taxpayer access token returned by Verify OTP.
Path Parameters
Response
200 - application/json
GSTN success or business-error response. GSTN returns both variants with HTTP 200.
- Option 1
- GSTN business error
A GSTN success or GSTN business-failure response. Both variants use HTTP 200.